aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <b@bpiotrowski.pl>2013-10-20 13:43:10 +0200
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2013-10-20 13:43:10 +0200
commit440dc05ed414d3c8a412c10d4d132c4fe4c13a73 (patch)
tree7de9787b2bd652edc8312005491298fbfb63b7f7 /testing
parent2016269047c8c7a163e33f23ab0707a0c1933a63 (diff)
downloadaports-440dc05ed414d3c8a412c10d4d132c4fe4c13a73.tar.gz
aports-440dc05ed414d3c8a412c10d4d132c4fe4c13a73.tar.bz2
aports-440dc05ed414d3c8a412c10d4d132c4fe4c13a73.tar.xz
testing/libfm: new aport
Libfm is a library for file management, used by incoming pcmanfm.
Diffstat (limited to 'testing')
-rw-r--r--testing/libfm/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/libfm/APKBUILD b/testing/libfm/APKBUILD
new file mode 100644
index 0000000000..bcdf3465ea
--- /dev/null
+++ b/testing/libfm/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+
+pkgname=libfm
+pkgver=1.1.2.2
+pkgrel=0
+pkgdesc='Library for file management'
+url='http://pcmanfm.sourceforge.net/'
+arch='all'
+license='GPL'
+makedepends='gtk+2.0-dev menu-cache-dev udisks-dev intltool dbus-glib-dev'
+options='libtool'
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/pcmanfm/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-udisks \
+ --with-gnu-ld || return 1
+ make LDFLAGS+=' -lgobject-2.0 -lglib-2.0' || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install || return 1
+
+ rm "$pkgdir"/usr/include/libfm
+ mv "$pkgdir"/usr/include/libfm-1.0/ "$pkgdir"/usr/include/libfm
+}
+
+md5sums="ea3d09b23ef4c37cb84ae57ea16b8f08 libfm-1.1.2.2.tar.gz"
+sha256sums="158e2b6974350d2dab15932b496bb4d448553e60bbf7cdfe4d6e9bd99d19d682 libfm-1.1.2.2.tar.gz"
+sha512sums="0c50210432a70f18033df2ce2fc20ce84f987e5efc8a4e7341aa6b7076f132407765257eeaacbc5cd7f81a11465049a2f8c460444bf54f2707b6bd04d3a34239 libfm-1.1.2.2.tar.gz"